#include <bits/stdc++.h>
using namespace std;

    int n,l,k,br=0;
int main(){
    scanf("%d%d",&n,&l);
    for(int i=1;i<=n;i++){
        scanf("%d",&k);
        if(k<=l){
            br=i;
            break;
        }
    }
    if(br==0){
        cout << -1 << endl;
    }
    else{
        cout << br << endl;
    }
    return 0;
}